Package org.apache.sling.distribution.journal.impl.discovery

## Class TopologyViewDiff

- java.lang.Object
- - org.apache.sling.distribution.journal.impl.discovery.TopologyViewDiff

    @Immutable
    @ParametersAreNonnullByDefault
    public class TopologyViewDiff
    extends Object

### Constructor Summary

Constructors
`TopologyViewDiff​(TopologyView oldView, TopologyView newView)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Map<String,​Supplier<LongStream>>` `getProcessedOffsets()` Return the map of the processed offsets, from the old and new view, per publisher agent.
`boolean` `subscribedAgentsChanged()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TopologyViewDiff

    public TopologyViewDiff​(TopologyView oldView,
                            TopologyView newView)

### Method Detail

#### getProcessedOffsets

    public Map<String,​Supplier<LongStream>> getProcessedOffsets()

Return the map of the processed offsets, from the old and new view, per publisher agent.

Returns:
  a map (pubAgentName x processedOffsets)

#### subscribedAgentsChanged

    public boolean subscribedAgentsChanged()

Returns:
  `true` if the set of subscribed agent changed between the old and new view ; `false` otherwise.